Bullseye Fast Track Staging

Gitlab 14.4.2 is available in fasttrack (this repo will be used only when preparing 14.5.x).

postgresql database should be updated to 13 before installing gitlab 14.2. pg_updatecluster command can be used to update it. See gitlab/postgresql-update for steps to upgrading postgresql to 13.

If you'd like to test gitlab packages before they are uploaded to fasttrack.debian.net, you can add the following lines to /etc/apt/sources.list.

This repo may have newer incompatible versions of dependencies when a new gitlab version is being prepared, so use this repo only when you want to install gitlab from this repo.

deb https://people.debian.org/~praveen/fasttrack-staging bullseye-backports-staging main contrib
deb https://people.debian.org/~praveen/fasttrack-staging bullseye-fasttrack main contrib

and install gitlab

# apt install gitlab-apt-pin-preferences
# apt install gitlab